# TMP-23-384 - Gather only the necessary facts for documentaries by e-filtering
videos

**Main Objective**
Develop an application for script writers to reduce their effort on finding
information for their production.

**Main Research Question**
Nowadays most of the information sources have been digitized with the
technology. So that most of the information are in the form of videos, audios or
texts. Taking information referring to those sources can be more time consuming.
Assume in the film industry, if a director needs to come up with a story based
on a historic or true event, then they will have to find the information by
referring plenty of resources. When a director and his film crew start planning
to direct a new movie or drama, the first thing they do is conducting a deep
research on the idea they have to execute. This deep research can be as wide as
the world has digitalized its research resources. Before writing the script with
the writer, both the director and script writer discuss what type of an output
they will be delivering to the audience. If the story contains something about
an historic value of a certain person or if it’s a story based on true events
like the director and script writer has to find everything that has been
contributing to those incidents since its beginning. So in order to conduct
this type of deep researches it consumes a lot of time and requires a lot of
effort. So when directing a movie or a drama the important thing is the delivery
date for the audience who is waiting to see the output. So if this takes a lot
of time the director won’t be able to give the audience what they need in that
given period of time and if the movie or TV series gets delayed to premiere the
audience loses hope which will result in loss of money and waste of time.

**Individual Research Question**

1.  Summarized Note Generator Component

In the film industry, if a director needs to come up with a story based on a historic or true event, then they will have to find the information by referring plenty of resources. When a director and his film crew start planning to direct a new movie or drama, the first thing they do is conducting a deep research on the idea they have to execute. This deep research can be as wide as the world has digitalized its research resources. Before writing the script with the writer, both the director and script writer discuss what type of an output they will be delivering to the audience. If the story contains something about an historic value of a certain person or if it’s a story based on true events like the director and script writer has to find everything that has been contributing to those incidents since its beginning. So in order to conduct this type of deep researches it consumes a lot of time and requires a lot of effort. To refer them, it will be more time consuming and it would be hard to note all of them. Our solution is to minimize the time that is been spent on studying the information. The solution is our system takes videos resources as an input which then it will be summarized for the director and the writer to produce the movie within the period. This way it saves time and effort to gather the facts that are only necessary after filtering the results of the deep research. Without the E – FILTERING system when directing a movie or a drama the important thing is the delivery date for the audience who is waiting to see the output. So if this takes a lot of time the director won’t be able to give the audience what they need in that given period of time and if the movie or TV series gets delayed to premiere the audience loses hope which will result in loss of money and waste of time.

Objectives:

Once the user comes to the system, they can use this function if they want to make a Summarize note. Here you can also get a summarize note related to the sub-topic you want. First upload the resource video into the system and click “Generate summarize note” button. Then the system extracts the voice from the video. Then after system generates a transcript relative to the voice. In here system will show all the subtopics of the resource video. Then the user can get either the summarize note related to the sub-topic user wants or complete summarize note. The software summarizes the identified keywords, phrases, and sentences into a concise note. The note includes a brief description of the video's content, highlighting the key points and major themes. The summary note can be customized to suit the needs of the producer or director, such as the length of the summary, level of detail, and formatting. The user selects subtopics that they want the summarized notes to be created for. Our software provides a list of subtopics that the user can choose from, or they can create their own custom subtopics. Our software merges all the short notes together to create one summarized note. This summarized note includes the important information from all the subtopics that the user selected. Finally the note is displayed and stored in our cloud database. This database can be accessed by the user, the director, and the producer, allowing them to easily retrieve the summarized note whenever they need it. Users can download the note or store it in the database for later use.

2.  Topic Based Video Segmentation Component

When the director in the film industry has to develop a story based on a historical or real-life event, they have to look to several sources to gather the necessary data. When a filmmaker and his film team begin making plans to direct a new movie or drama, the first thing they do is perform extensive study on the concept they have to execute. This extensive investigation can span as much of the world's digitalized research resources as possible. Both the director and script writer discuss the kind of output they will be providing to the audience before beginning to compose the script together. The director and script writer must track down every factor that has contributed to the events since they first occurred if the story highlights the historical significance of a certain person or is based on actual events. Therefore, it takes a lot of time and effort to carry out this kind of in-depth research. When directing a movie directors will have to go through same topics again and again to clear the storyline behind a documentary. Assume if the director wants to watch a specific topic again then they will have to re-watch the video or will have to seek the time till the relevant topics timeframe. So without any of these worrying, the directors can easily find the topics by searching them and will be able to re-watch it where the topic is starting to discuss. In this way it will save their time. Without the E – FILTERING system when directing a movie or a drama the important thing is the delivery date for the audience who is waiting to see the output. So if this takes a lot of time the director won’t be able to give the audience what they need in that given period of time and if the movie or TV series gets delayed to premiere the audience loses hope which will result in loss of money and waste of time.

Objectives:

Once the user comes to the system, they can use this function if they want to jump into a specific topic. Here they can search for a topic using the search bar provided and will jump into the relevant timeframe where the topic has been discussed. First upload the resource video into the system and click “Generate Topics” button. Then the system analyze the video and the audio for topics detection and will start to partition the video into segments. The software will provide a search area for the user with displaying the topics and its timeframes, so that the user can easily navigate to topic for further listening. Once the user inputs a search query then the algorithm will search for the relevant search input within the identified topics pool and will return with its timeframe once found and will display an error message if the entered topic is not included within the video. Finally the detected topics by the algorithm will be stored in the cloud database. This database can be accessed by the user allowing them to easily retrieve the topics and their timeframes so that they can refer to any topic as they with without any drawbacks.

3.  Generate Question and Answers Component

If a director in the movie industry needs to develop a plot based on an actual historical or current event, they will need to consult a lot of sources to gather the necessary data. The first thing a filmmaker and his film team do when they begin planning to direct a new movie or drama is undertake extensive study on the idea they must put into action. The scope of this in-depth research is only limited by the extent to which the world has digitalized its research resources. Both the director and screenplay writer discuss the type of output they will be providing to the audience before beginning to compose the script together. The director and script writer must research everything that contributed to the incidents since they first happened if the story is based on true events or mentions the historical significance of an individual. Therefore, doing this kind of in-depth research takes a lot of time and effort. It will take more time to refer to them, and it would be challenging to list them all. Our plan is to reduce the amount of time spent studying the material. The answer is that our system uses video resources as an input and then generates Questions and answers for the writer and director to complete the film within the deadline. By doing so, it is easier and more efficient to collect the information that is only required after filtering the findings of the deep inquiry.

Objectives:

Once the user comes to the system, they can use this function if they want to generate questions and answers. First upload the resource video into the system and click “Generate questions and answers” button. Then the system extracts the voice from the video. Then after system generates a transcript relative to the voice. Then the user can get generated questions and answers. After user clicks on 'Generate Questions & Answers" button, the system will generate the questions and answers related to the content and will be displayed to the director, so that the director can get rough idea about the content which has been covered by the documentary video. Finally, the user does not need to go through the same video several times; instead, they can refer to questions and answers that indicate the main facts of the source video, and then they can get a clear idea without wasting time.

4.  Subtitle Generator Component

In the film industry, there are times when a director is tasked with creating a story that is based on a historical event or true story. In such cases, the director needs to conduct extensive research to gather the necessary information to create an accurate portrayal of the event. The director and their film crew start by planning the project, and the first step is usually conducting deep research on the idea they plan to execute. The research can be quite extensive, and with the advent of digital resources, there is a wealth of information available at their fingertips. The research can cover a range of topics, including the historical and cultural context, the social and political climate of the time, the characters involved, and their motivations. The director may also consult with experts in the field or individuals who have a personal connection to the story. Once the research is completed, the director and the scriptwriter will discuss the type of output they want to deliver to the audience. This discussion involves determining the tone and style of the movie or drama and deciding how best to convey the story to the audience. The goal is to create a compelling and engaging story that accurately portrays the event while still being entertaining and enjoyable for the audience. Ultimately, the success of the film or drama depends on the director's ability to effectively utilize the research to create a captivating and accurate portrayal of the story. Users often struggle with understanding videos because most of the time the videos are in English, and users typically have poor English language skills. Furthermore, some videos are delivered too quickly, making it difficult for users to comprehend the information. As a result, users find it challenging to create a summary of the video's content when they are unable to understand it. Adding subtitles to videos can greatly benefit users who are not fluent in the language. It is also challenging for users to gain knowledge if they cannot understand what they are learning because it is not in their native language. To address this issue, a subtitle generation component has been developed to generate subtitles in the user's preferred language.

Objectives:

The process of using the tool to generate auto subtitles for a video is simple and user-friendly. Users can input a video into the tool and play it. If the speaker's words are not clear, users can click on the "get subtitles" button to generate auto subtitles in English. These subtitles will appear below the video, making it easier for viewers to understand what the speaker is saying. This feature is particularly helpful for people who may have difficulty hearing or understanding spoken words, as well as for people who are watching videos in a language that is not their native language. Overall, this tool provides an easy and effective way to enhance the accessibility and usability of video content.